# Patch IMSI IP Mapping

## Update IMSI IP Mapping Configuration

> Create a new IMSI IP Mapping. Provide the UE IP address corresponding to the IMSI. This IP will be utilized as the UE IP after attach.

```json
{"openapi":"3.0.0","info":{"title":"Monogoto Edge User API Configuration","version":"2.0"},"servers":[{"url":"https://api.monogoto.io/api"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"requestBodies":{"NewImsiIpMapping":{"description":"Schema for new ImsiIpMapping addition","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewImsiIpMappingProperties"}}}}},"schemas":{"NewImsiIpMappingProperties":{"type":"object","required":["imsi","ip"],"properties":{"imsi-ip-mapping":{"type":"object","properties":{"imsi":{"type":"string","minimum":0,"maximum":999999999999999},"ip":{"type":"string"},"rat":{"type":"string"}}}}}},"parameters":{"edgeIp":{"name":"edgeIp","in":"path","required":true,"schema":{"type":"string","enum":["Monogoto Edge IP"]},"description":"The IP address of the edge"}}},"paths":{"/v1/edge/{edgeIp}/imsiipmapping":{"patch":{"summary":"Update IMSI IP Mapping Configuration","description":"Create a new IMSI IP Mapping. Provide the UE IP address corresponding to the IMSI. This IP will be utilized as the UE IP after attach.","tags":["IMSI IP Mapping"],"requestBody":{"$ref":"#/components/requestBodies/NewImsiIpMapping"},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}},"parameters":[{"$ref":"#/components/parameters/edgeIp"}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/private-networks/monogoto-edge/edge-api/patch-imsi-ip-mapping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
